`MVCClosure.java`
`01 /* 02 * Copyright 2010-2012 the original author or authors. 03 * 04 * Licensed under the Apache License, Version 2.0 (the "License"); 05 * you may not use this file except in compliance with the License. 06 * You may obtain a copy of the License at 07 * 08 * http://www.apache.org/licenses/LICENSE-2.0 09 * 10 * Unless required by applicable law or agreed to in writing, software 11 * distributed under the License is distributed on an "AS IS" BASIS, 12 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 13 * See the License for the specific language governing permissions and 14 * limitations under the License. 15 */ 16 package griffon.core; 17 18 /** 19 * An specialized closure for working with MVC members. 20 * 21 * @author Andres Almiray 22 * @since 0.9.3 23 */ 24 public interface MVCClosure<M extends GriffonModel, V extends GriffonView, C extends GriffonController> { 25 /** 26 * Executes this closure<p> 27 * 28 * @param model the Model member of the group 29 * @param view the View member of the group 30 * @param controller the Controller member of the group 31 */ 32 void call(M model, V view, C controller); 33 }`